
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>javascript中encodeURI和decodeURI方法 / iVAN</title>

    <meta name="description" content="javascript中encodeURI和decodeURI方法 一.基本概念 encodeURI和decodeURI是成对来使用的,因为浏览器的地址栏有中文字符的话,可以会出现不可预期的错误,所以可以encodeURI把非英文字符转化为英文编码,decodeURI可以用来把字符还原回来.encodeURI方法不会对下列字符进行编码:&quot;:&quot;.&quot;/&quot;.&quot;;&quot; 和 &quot;?&quot;,encodeURIComponent方法可以对这些字符进行编码. decodeURI()方法相当于java.net ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">javascript中encodeURI和decodeURI方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>一、基本概念</strong><br />
encodeURI和decodeURI是成对来使用的，因为浏览器的地址栏有中文字符的话，可以会出现不可预期的错误，所以可以encodeURI把非英文字符转化为英文编码，decodeURI可以用来把字符还原回来。encodeURI方法不会对下列字符进行编码：":"、"/"、";" 和 "?"，encodeURIComponent方法可以对这些字符进行编码。<br />
decodeURI()方法相当于java.net.URLDecoder.decode(URIString, "UTF-8");<br />
encodeURI()方法相当于java.net.URLEncoder.encode(URIString, "UTF-8");</p>
<p><strong>二、例子</strong><br />
&lt;script type="text/javascript"&gt;<br />var uriStr = "http://www.baidu.com?name=张三&amp;num=001 zs";<br />var uriec = <strong>encodeURI</strong>(uriStr);<br />document.write("编码后的" + uriec);<br />var uridc = <strong>decodeURI</strong>(uriec);<br />document.write("解码后的" + uridc);<br />
&lt;/script&gt;</p>
<p>编码后的http://www.baidu.com?name=%E5%BC%A0%E4%B8%89&amp;num=001%20zs</p>
<p>解码后的http://www.baidu.com?name=张三&amp;num=001 zs</p>
<p>参考地址：http://blog.csdn.net/hnwangdan/article/details/5968657</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-07 01:59:20</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>javascript中encodeURI和decodeURI方法的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmGZ0z.html" rel="bookmark">javascript中encodeURI和decodeURI方法使用介绍&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.基本概念 encodeURI和decodeURI是成对来使用的,因为浏览器的地址栏有中文字符的话,可以会出现不可预期的错误,所以可以encodeURI把非英文字符转化为英文编码,decodeURI可以用来把字符还原回来.encodeURI方法不会对下列字符进行编码:&quot;:&quot;.&quot;/&quot;.&quot;;&quot; 和 &quot;?&quot;,encodeURIComponent方法可以对这些字符进行编码. decodeURI()方法相当于java.net.URLD			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1nPKb.html" rel="bookmark">JavaScript使用encodeURI&lpar;&rpar;和decodeURI&lpar;&rpar;获取字符串值的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JavaScript使用encodeURI()和decodeURI()获取字符串值的方法.分享给大家供大家参考.具体如下: JavaScript使用encodeURI()和decodeURI()获取字符串值,不能就是地址栏显示的字串,以前经常在网上见到有人问此问题,无意在网上发现,不知是不是您想要的,先看看效果吧. 先来看看运行效果: 具体代码如下: &lt;html&gt; &lt;head&gt; &lt;meta http-equiv=&quot;Content-Type&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRN2Dz.html" rel="bookmark">简述JavaScript中正则表达式的使用方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了JavaScript中正则表达式的使用方法,正则表达式是JS进阶学习中的重要知识,本文简述了JS对正则表达式的支持情况,需要的朋友可以参考下 正则表达式是一个对象,它描述了字符模式. JavaScript的RegExp类表示正则表达式和字符串和正则表达式定义,使用正则表达式来进行强大的模式匹配和搜索和替换文本功能的方法. 语法: 正则表达式可以用RegExp( ) 构造这样的定义: ? 1 2 3 4 5 var pattern = new RegExp(pattern,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6wZ3z.html" rel="bookmark">javascript中数组的concat&lpar;&rpar;方法的具体使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 数组的concat()方法想必大家比不陌生吧,在本文为大家介绍下javascript中数组的concat()方法的具体使用,感兴趣的朋友可以参考下 代码如下: &lt;html&gt;  &lt;head&gt;  &lt;title&gt;数组的concat()方法&lt;/title&gt;    &lt;script&gt;  /*  数组的concat()方法:  1.该方法不会改变现有的数组,而仅仅会返回被连接数组的一个副本.  2.返回一个新的数组.该数组是通过把所有 arrayX 参数添加			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5oN9Wb.html" rel="bookmark">JavaScript中扩展Array contains方法实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了JavaScript中扩展Array contains方法实例,本文直接给出实现代码,需要的朋友可以参考下     javascript的Array没有contains方法,有时候这会不方便,contains方法实现很简单: 代码如下: function contains(a, obj) { var i = a.length; while (i--) { if (a[i] === obj) { return true; } } return false; } 当然我们也可以扩			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8ZAaZb.html" rel="bookmark">JavaScript中神奇的call&lpar;&rpar;方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了JavaScript中神奇的call()方法,本文用浅显的语言帮助你加深理解call()方法,需要的朋友可以参考下     先看看关于call()的官方解释,&quot;调用一个对象的一个方法,以另一个对象替换当前对象.&quot;,看了这样的解释,或许让你更摸不着头脑了.看例子: 代码如下: var x = &quot;我是全局变量&quot;; //定义全局变量x function a(){ //定义函数类结构a this.x = &quot;我是在函数类结构a中声明的哦&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvGWPrp.html" rel="bookmark">javascript中定义类的方法详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要详细介绍了javascript中定义类的方法的相关资料,需要的朋友可以参考下     JS中定义类的方式有很多种: 1.工厂方式   代码如下: function Car(){ var ocar = new Object; ocar.color = &quot;blue&quot;; ocar.doors = 4; ocar.showColor = function(){ document.write(this.color) }; return ocar; } var car1 = Car(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVNWXVz.html" rel="bookmark">JavaScript中setter和getter方法介绍&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				javascript中的setter.getter是平时接触比较少的方法,其本身也并不是标准方法,只在非ie浏览器里支持(ie内核也许有其他方法可以做到呢?暂时不知其解),但是加以利用可以做许多事情,比如: 1.对数据的访问限制: a.value是对value变量的getter方法调用,如果在getter方法实现中抛出异常,可以阻止对value变量的访问 2.对dom变量进行监听: window.name是一个跨域非常好用的dom属性(大名鼎鼎,详见百度),如果覆盖window.name的set			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZBQGqz.html" rel="bookmark">javascript-关于JavaScript中的window&period;open方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于JavaScript中的window.open方法 今天下了Myeclipse,打算试试做jsp和Html 然后写了如下测试代码; &lt;!DOCTYPE html&gt; WindowsDemo.html &lt;meta name=&quot;keywords&quot; content=&quot;keyword1,keyword2,keyword3&quot;&gt; &lt;meta name=&quot;description&quot; content=&quot;this			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlOx8b.html" rel="bookmark" class="title">Photoshop给花坛边的美女加上唯美的黄绿阳光色</a>
					<div>
						素材图片主色为暗绿色,调色的时候可以把稍亮的绿色转为橙黄色,绿色及暗部颜色转为黄绿色,然后给图片局部增加一点高光,再把整体调柔和即可. 原图 最终效果					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeZk0b.html" rel="bookmark" class="title">如何让垃圾站被搜索引擎认为全是原创</a>
					<div>
						前几天我写了&lt;我做gg广告从0到每月1000美元详细全过程,并教你具体的方法&gt;http://chinaz.com/Union/Skill/0H1124W2007.html,很多人说会不会被 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMggD3M.html" rel="bookmark" class="title">Photoshop人物转手绘&colon;清凉的插画美女</a>
					<div>
						本教程介绍稍微难一点的人物转手绘方法.基本操作跟转手绘类似,不过需要较强的鼠绘功底.不仅要把人物转为近似手绘效果,同时还需要把不完美的部分处理好,如人物脸型.衣着等.原图 最终效果 [1] [2] [ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRGk8p.html" rel="bookmark" class="title">Photoshop鼠绘教程&colon;金属质感的ZIP图标</a>
					<div>
						本教程学习如何用Photoshop制作一个金属质感ZIP图标,主要用到了钢笔,椭圆工具和图层样式.下面让我们一起来学习. 先看效果图. 新建文档1280x1024像素,背景白色,建新层,用椭圆工具画一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmP4lM.html" rel="bookmark" class="title">如何防止SQL Server数据库的事务日志异常增长</a>
					<div>
						server|数据|数据库 当事务日志扩展到无法接受的限度时您必须执行的步骤.事务日志的扩展会导致 Microsoft SQL Server 数据库无法使用. 在 SQL Server 2000 中, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqQQRM.html" rel="bookmark" class="title">Windows 8开发入门（九） Windows 8中使用FlipView</a>
					<div>
						FlipView控件类似于翻页控件,并且是现成的翻页按钮,你只需要为其增加数据项即可.本文讲述两种方 式的FlipView项目和展示. 一:直接前台FlipViewItem &lt;FlipView& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd76NNM.html" rel="bookmark" class="title">DB2双机安装详解</a>
					<div>
						在自己的机器上做DB2双机安装实验,参考了一些文章,终于把双机做好了.大家讨论一下这个过程,看看还有什么需要改进的吗? DB2版本:8.1 操作系统:5.1 主机名:A机:H80a B机:H80b 用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBg4jb.html" rel="bookmark" class="title">android数据存储方式&lpar;三&rpar; Files</a>
					<div>
						平时的我们如果想要保信息,一般的做法就是记在本子上,然后在使用的时候从本子中拿出来.android 保存数据的方式也可以像是这样先将数据保存在文件中,然后再从文件中读取.采取这种方式,我们可以在程 序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPEY8z.html" rel="bookmark" class="title">用IE9打开某些网站却提示为非IE9浏览器</a>
					<div>
						前段时间我们向大家介绍了一个IE9免费礼品年终放送的活动,只要你使用IE9即可获得奖品.不过有用户表示,使用IE9打开该活动,却弹出提示说浏览器不是IE9,只有升级到Windows 7 系统和IE9浏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7Jrlb.html" rel="bookmark" class="title">在各种Linux发行版上安装Git的教程</a>
					<div>
						  Git是一个流行的开源版本控制系统(VCS),最初是为Linux环境开发的.跟CVS或者SVN这些版本控制系统不同的是,Git的版本控制被认为是&quot;分布式的&quot;,某种意义上,git ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBK6d9M.html" rel="bookmark" class="title">固定word表格大小不能修改、限制输入个数</a>
					<div>
						word表格,一般来说,当我们往单元格输入内容的时候,列会根据输入内容的多少,自动调整列的宽度,以吻合输入的字符数,同时,行的高度也会自动换行,满足我们的输入! 现在,我们要做的是,如何固定word表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdWYBM.html" rel="bookmark" class="title">PHP中CURL的CURLOPT</a>
					<div>
						 CURL确实是一个不错的好工具,不仅在PHP中还是其他的操作系统中,都是一个非常好用的.但是如果你有些参数没有用好的话,那可能会得不到自己理想中的结果 在通常情况下,我们使用 CURL 来提交 PO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRBKBp.html" rel="bookmark" class="title">Excel2007在多个单元格中输入相同的内容和公式</a>
					<div>
						  很多时候我们需要在Excel中多个单元格里面输入相同的数值,而且这些单元格可能是多个不相邻的位置,若一个一个手动输入那简直是太浪费时间了,有木有什么更好的方法可以一次性在这些单元格中输入相同的内容 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZKBVz.html" rel="bookmark" class="title">Windows8中如何解决系统文件&OpenCurlyDoubleQuote;拒绝访问&rdquo;的问题</a>
					<div>
						  知识点分析: 在系统中,即使我们使用系统管理员进入的系统,如果文件夹图标的左下角带有箭头或锁的标志,那么我们在双击打开时也会出现&quot;拒绝访问&quot;的提示,如图: 操作步骤: 1.打开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYm2rM.html" rel="bookmark" class="title">浅析Win7下WinAPN无法连接网络怎么办</a>
					<div>
						  1.首先打开win+R打开运行窗口,并输入&quot;cmd&quot;回车打开命令提示符; 2.然后执行下面两行命令(这里不分大小写); NETSH INT IP RESET IPCONFIG  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3l36p.html" rel="bookmark" class="title">怎样恢复U盘里面丢失的文件</a>
					<div>
						  U盘是个很受大家喜欢的小东西,随便放到哪里,没有&quot;体重&quot;,没有&quot;身高&quot;,不挑环境,有电脑就可以给我们发挥光芒,随便插入电脑,随便退出电脑,从不安全退出,断电 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oDNAb.html" rel="bookmark" class="title">WinPE系统盘符的更换技巧</a>
					<div>
						  WinPE相信大家都用过了,但每次PE的盘符都是固定的,那么有没有什么办法换一下盘符呢? 例如将PE系统中的B盘改成W盘,发扬DIY精神,跟着一起来修改一下吧.大致需要修改以下几处地方: 一.WI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PYKrp.html" rel="bookmark" class="title">android-sqlite no such table</a>
					<div>
						问题描述 sqlite no such table 我写了一个dao类用来和数据库交互 第一个activity用dao对象查account表的时候可以获取里面的数据 然后跳转到第二个activity再 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRPn3b.html" rel="bookmark" class="title">抢夺富士康&OpenCurlyDoubleQuote;母鸡带小鸡&rdquo;模式受宠</a>
					<div>
						8月2日,富士康旗下的富泰华精密电子(郑州)有限公司第一条生产线开工生产,持续两个月的富士康内迁疑云仿佛有了阶段性答案. 而在富士康到底迁往何处的猜测见诸各大报端时,它在重庆的工厂已开始生产.7月9日 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJRR5p.html" rel="bookmark" class="title">安装包打包：如何捕获msi升级事件？（System&period;Configuration&period;Install）</a>
					<div>
						问题描述 导入System.Configuration.Install类,用于打包时,重写Install方法.在安装的时候,也确实调用了自定义方法.但是当msi版本升级的时候,比如1.0.0升级到1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xAnVb.html" rel="bookmark" class="title">ios-删除NSArray中的括号</a>
					<div>
						问题描述 删除NSArray中的括号 有一个数组,需要删除其中一些括号. 现在的输出是这样: ( ( &quot;2013-06-15 02:00&quot; ), ( &quot;2013-06-1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodadgM.html" rel="bookmark" class="title">hibernate 怎么配置oracle的id生成策略</a>
					<div>
						问题描述 hibernate 怎么配置oracle的id生成策略 之前使用hibernate连接mysql,后来需要转为oracle. 原来: mysql的id设置为自增, hibernate中对应的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQEPKp.html" rel="bookmark" class="title">阿里巴巴将投入4000万元与合作方建安全基金</a>
					<div>
						阿里巴巴将投入 4000万元建安全基金 阿里小微金融集团(筹)副总裁.首席风险官胡晓明今天在北京宣布,将投入4000万元与合作方共建安全基金,主要投向反钓鱼联防.反木马联防.反洗钱.反恶意攻击.用户信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7n8Zz.html" rel="bookmark" class="title">释放指针对象内存-QList中的指针成员无法释放内存，大家是怎么做的？</a>
					<div>
						问题描述 QList中的指针成员无法释放内存,大家是怎么做的? QThread * thread = new QThread(); QList * list = new QList(); list-& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3J407z.html" rel="bookmark" class="title">PostgreSQL 最佳实践 - 块级增量备份&lpar;ZFS篇&rpar;多zfs卷场景一致性备份</a>
					<div>
						背景 当我们使用了多个ZFS卷或者文件系统时,如果一个实例的多个部分,如表空间,放在了不同的zfs上,再使用基于ZFS快照的备份时,可能出现多个文件系统不一致的情况. 例如控制文件是新的,但是数据是旧 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZYDrb.html" rel="bookmark" class="title">python list语法学习（带例子）&lowbar;python</a>
					<div>
						创建:list = [5,7,9]取值和改值:list[1] = list[1] * 5列表尾插入:list.append(4)去掉第0个值并返回第0个值的数值:list.pop(0)去掉第0个值但不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NaJPz.html" rel="bookmark" class="title">ASP&period;NET中集成百度编辑器UEditor&lowbar;实用技巧</a>
					<div>
						0.ueditor简介 UEditor是由百度WEB前端研发部开发的所见即所得的开源富文本编辑器,具有轻量.可定制.用户体验优秀等特点.开源基于BSD协议,所有源代码在协议允许范围内可自由修改和使用. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZA9rb.html" rel="bookmark" class="title">JAVA技术实现上传下载文件到FTP服务器&lpar;完整&rpar;&lowbar;java</a>
					<div>
						具体详细介绍请看下文: 在使用文件进行交互数据的应用来说,使用FTP服务器是一个很好的选择.本文使用Apache Jakarta Commons Net(commons-net-3.3.jar) 基于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqW1YOz.html" rel="bookmark" class="title">js print打印网页指定区域内容的简单实例&lowbar;javascript技巧</a>
					<div>
						实例如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2Y1xM.html" rel="bookmark" class="title">2017年北美数据中心市场五大发展趋势</a>
					<div>
						为了掌握不断变化的数据中心市场发展趋势,人们喜欢对全球领先的数据中心进行排序.业界人士经常会讨论数据中心用户和供应商的发展演变,而最近几年的情况更是令人关注.如今,人们进入了市场依然活跃的2017年, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
